Status: Open

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29180

Description

Hi!

As you can see on attachments, there is a bug with the scale bar in the 3.4.4.

If I leave the same settings of 2.18 into the 3.4.4, the scale bar in print composer is shown incorrectly.

History

#1 - 2019-02-24 08:17 PM - Nyall Dawson

- Status changed from Open to Feedback

Please share your project for testing

#2 - 2019-02-25 12:02 PM - Massimiliano Moraca

Nyall Dawson wrote:

Please share your project for testing

Hi, I can't share the project because is based on a PostGIS geodatabase. The project was create with the 2.18 and inside it there are a lot of print layout. If

I open the project with the 3.4.4 and save it as qgz, all print layouts have the scale bar problem. But, if I save the layouts as template(.qpt) with 2.18 and

import them into the qgz, the scale bar is shown correctly.

I think that this is not a bug after this test and, if you agree, this report can be close.

#3 - 2019-02-25 08:53 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2019-02-25 11:01 PM - Nyall Dawson

- Status changed from Open to Feedback

You can still share the project -- I should be able to reproduce without the data. And it's very important for us to catch any project loading regressions like

this, so I'm keen to get hold of the file...

#5 - 2019-02-26 08:54 AM - Massimiliano Moraca
- File mappe_125k.zip added

Nyall Dawson wrote:

You can still share the project -- I should be able to reproduce without the data. And it's very important for us to catch any project loading

regressions like this, so I'm keen to get hold of the file...

Ok, here there is the project created with 2.18, inside it there are four print layouts. If you save the project as 3.4 project and open the print layouts, you can

see that the scale bar have different dimensions from the same print layout of 2.18 project.

#6 - 2019-02-26 08:56 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2019-02-27 12:30 AM - Nyall Dawson

- Status changed from Open to Feedback

Looking into this project -- isn't the bug in how 2.18 rendered the bar? In 3.4 I see the total bar length of 5 segments taking half the distance between the

grid markers, which looks correct to me. I think the 2.18 rendering is incorrect.

#8 - 2019-02-27 09:41 AM - Massimiliano Moraca

- File QGIS3-125k.qgz added

Nyall Dawson wrote:

Looking into this project -- isn't the bug in how 2.18 rendered the bar? In 3.4 I see the total bar length of 5 segments taking half the distance between

the grid markers, which looks correct to me. I think the 2.18 rendering is incorrect.

I don't think that the problem is in 2.8. The project in attachment is created with 3.4.4, it have the same layers of the last project. I've exported as qpt four

templates from 2.18 and, as you can see, the scale bar is correctly rendered. As test I've created a new print layout named "test". This layout use the same

scale of the other layouts, 1:125.000, I've created the red scale bar specifically for this layout while the blu scale bar is a copy from the print layout called

"Aube". As you can see there aren't difference between they and is for this reason I don't think that the problem is into 2.18.

#9 - 2019-03-01 08:13 PM - Giovanni Manghi

- Status changed from Feedback to Open

#10 - 2019-03-24 08:44 PM - Linwood Creekmore

I'm adding on.  The Print Composer for QGIS 3.6 does not accurately reflect the CRS units in the Scale Bar when adding to a map.

Files

scalebar2.18.png 1.5 KB 2019-02-24 Massimiliano Moraca

scalebar2.18-2.png 40.5 KB 2019-02-24 Massimiliano Moraca

scalebar3.4.4.png 2.71 KB 2019-02-24 Massimiliano Moraca

scalebar3.4.4-2.png 38.4 KB 2019-02-24 Massimiliano Moraca
mappe_125k.zip 68.9 KB 2019-02-26 Massimiliano Moraca

QGIS3-125k.qgz 57.3 KB 2019-02-27 Massimiliano Moraca
